public class AnwendungOE
{
	public static void main (String [] args)
	{
		//Problem: Gleichheit
		
//		int i=12;
//		int j=12;
//		System.out.println("ist i gleich j: "+(i==j));
		
		Fortbewegungsmittel fb1 = 
			new Fortbewegungsmittel("Herkules","Rennrad23");
		Fortbewegungsmittel fb2 = 
			new Fortbewegungsmittel("Herkules","Rennrad23");
			
		System.out.println("ist fb1 gleich fb2: "+(fb1==fb2));
		System.out.println("ist fb1 gleich fb2: "+(fb1.equals(fb2)));
		
		java.awt.Point p1= new java.awt.Point(12,23);
		java.awt.Point p2= new java.awt.Point(12,23);
		
		System.out.println("ist p1 gleich p2: "+(p1==p2));
		System.out.println("ist p1 gleich p2: "+(p1.equals(p2)));
	}
}